<?xml version="1.0"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<document>

  <properties>
    <title>Maven IDEA Plug-in Goals</title>
    <author email="dion@apache.org">dIon Gillard</author>
  </properties>
  <body>
    <goals>
      <goal>
        <name>idea</name>
        <description>
          Simply prerequisites the <a href="#idea:generate-project">idea:generate-project</a>
          goal
        </description>
      </goal>
      <goal>
        <name>idea:project</name>
        <description>
          Generate IDEA .ipr project files
        </description>
      </goal>
      <goal>
        <name>idea:workspace</name>
        <description>
          Generate IDEA .ipw project files
        </description>
      </goal>
      <goal>
        <name>idea:workspace</name>
        <description>
          Generate IDEA .ipw project files
           (IDEA 4 only)
        </description>
      </goal>


      <goal>
        <name>idea:multiproject</name>
        <description>
           Generate IDEA .ipr and .iws project files and appends module which are created via reactor.
           (IDEA 4 only). 
        </description>
      </goal>
    </goals>
  </body>
</document>